## autodata

autodata

## Functions

#define | AUTODATA_TYPE()
#define | AUTODATA()
#define | autodata_get()
void | autodata_free ()
#define | AUTODATA_VAR__()
#define | AUTODATA_VAR_()
void * | autodata_get_section ()
void * | autodata_make_table ()

## Types and Values

#define | AUTODATA_MAGIC

## Description

## Functions

### AUTODATA_TYPE()

    #define             AUTODATA_TYPE(name, type)

### AUTODATA()

    #define             AUTODATA(name, ptr)

### autodata_get()

    #define             autodata_get(name, nump)

### autodata_free ()

    void
    autodata_free (void *p);

### AUTODATA_VAR__()

    #define AUTODATA_VAR__(name, line) autodata_##name##_##line

### AUTODATA_VAR_()

    #define AUTODATA_VAR_(name, line) AUTODATA_VAR__(name, line)

### autodata_get_section ()

    void *
    autodata_get_section (void *start,
                          void *stop,
                          size_t *nump);

### autodata_make_table ()

    void *
    autodata_make_table (const void *example,
                         const char *name,
                         size_t *nump);

## Types and Values

### AUTODATA_MAGIC

    #define AUTODATA_MAGIC ((long)0xFEEDA10DA7AF00D5ULL)